.text-alert {
  font-size: 15px;
}
.layout-container {
  .space {
    padding: 9vh 16vw;
  }
  .separator-button {
    height: 15vh;
    position: relative;
    background-image: url('../../images/frontend/separator-button.svg');
    background-repeat: no-repeat;
    background-size: cover;
  }
  .separator-top {
    height: 15vh;
    position: relative;
    background-image: url('../../images/frontend/separator-top.svg');
    background-repeat: no-repeat;
    background-size: cover;
  }
}

.pinned {
  height: 1.7vw;
  width: 7vw;
  margin-right: 5px;
  position: relative;
  .pin {
    height: 100%;
    border-radius: 30px;
    position: absolute;
  }
  .pin-dark {
    background: $color-dark !important;
  }
  .pin:nth-child(1) {
    width: 7vw;
    opacity: 0.2;
    background: $color-white;
    right: 0;
  }
  .pin:nth-child(2) {
    width: 5.5vw;
    opacity: 0.4;
    background: $color-white;
    right: 0;
  }
  .pin:nth-child(3) {
    width: 4vw;
    opacity: 0.6;
    background: $color-white;
    right: 0;
  }
  .pin:nth-child(4) {
    height: 1.3vw;
    width: 1.3vw;
    opacity: 1;
    background: $color-white;
    top: 0.2vw;
    right: 0.25vw;
  }
}

.arrow-prev,
.arrow-next {
  z-index: 1;
  position: absolute;
  top: 60%;
  transform: translateY(-50%);
  box-shadow: 0 0 0 5px rgba(65, 66, 77, 0.3);
  border-radius: 50%;
  transition: box-shadow 0.3s ease-out, margin-left 0.3s ease-out, margin-right 0.3s ease-out;
  img {
    width: 70px;
    cursor: pointer;
  }
}
.arrow-prev:hover,
.arrow-next:hover {
  box-shadow: 0 0 0 10px rgba(65, 66, 77, 0.2);
}
.arrow-prev:hover {
  animation-name: prev;
  animation-duration: 2s;
  animation-iteration-count: infinite;
}
.arrow-next:hover {
  animation-name: next;
  animation-duration: 2s;
  animation-iteration-count: infinite;
}
.arrow-prev:active {
  margin-left: -10px;
}
.arrow-next:active {
  margin-right: -10px;
}
.arrow-prev {
  left: 3vw;
}
.arrow-next {
  right: 3vw;
}
@media screen and (max-width: 768px) {
  .pinned {
    height: 5vw;
    width: 15vw !important;
  }
  .pin:nth-child(1) {
    width: 15vw !important;
  }
  .pin:nth-child(2) {
    width: 12vw !important;
  }
  .pin:nth-child(3) {
    width: 9vw !important;
  }
  .pin:nth-child(4) {
    height: 4vw !important;
    width: 4vw !important;
    top: 0.5vw !important;
    right: 0.7vw !important;
  }
}
@media screen and (max-width: 992px) {
  .layout-container {
    .space {
      padding: 9vh 5vw !important;
    }
  }
}

// FORM
.form-body {
  border-bottom-left-radius: 7px;
  border-bottom-right-radius: 7px;
}
.layout-container,
.form-body {
  .form-block {
    svg {
      path {
        color: $color-white !important;
      }
    }
    .form-header {
      text-align: center;
      .form-menu:first-child .textbox {
        border-radius: 0 !important;
        border-top-left-radius: 7px !important;
      }
      .form-menu:last-child .textbox {
        border-radius: 0 !important;
        border-top-right-radius: 7px !important;
      }
      .form-menu {
        .textbox {
          border: 1px solid $color-white;
          border-bottom-color: $color-gray;
          transition: background 0.6s ease;
          padding: 1vw;
          cursor: pointer;
          .text-main {
            font-size: 3vw;
            color: $color-white;
            font-weight: 600;
            text-align: right;
            padding: 1vh 2vw;
          }
          .text-sub {
            text-align: left;
            padding: 1vh 2vw;
            b {
              color: $color-white;
              display: block;
              font-size: 1.5vw;
              transition: color 0.6s ease;
            }
            span {
              color: $color-white;
              font-size: 1vw;
              transition: color 0.6s ease;
              display: block;
              margin-top: -2px;
            }
          }
        }
      }
      .form-menu.active {
        .textbox {
          background: $color-white;
        }
        .text-main {
          color: $color-yellow;
        }
        .text-sub {
          b,
          span {
            color: $color-dark;
          }
        }
      }
      .form-menu.disable {
        filter: brightness(0.5);
        opacity: 0.8;
      }
    }
  }
}

//AUTH
.app-auth,
.app-personal,
.app-camp,
.app-subcamp {
  background: $color-white;
  padding: 3vw;
  .textbox {
    .text-main {
      b {
        font-size: 3.5vw;
      }
    }
    .text-sub {
      span {
        font-size: 1.3vw;
        color: #707070;
        font-weight: 300;
      }
    }
    .btn-register {
      margin-top: 3vh;
      box-shadow: 0 2px 0 0 $color-black;
      padding: 1.5vw;
      border-radius: 5px;
      transition: 0.3s;
      font-size: 1.7vw;
      i {
        font-size: 1.7vw;
      }
    }
    .btn-register:hover {
      opacity: 0.8;
      box-shadow: 0 1px 0 0 $color-black;
    }
  }
}
